package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.IpWhitelistDTO;

/**
 * @author liulu
 * @since 2024/11/22
 */
public interface IpWhitelistService {

    Page<IpWhitelistDTO.IpView> selectPageList(IpWhitelistDTO.Query query);

    Long save(IpWhitelistDTO.IpSave save);

    void update(IpWhitelistDTO.IpSave save);

    void delete(Long[] ids);

    void enableWhiteIpEvent();

}
